YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000459YaCy[All Projects] Generalpublic2014-09-08 01:352014-09-13 15:41
Reportersimon 
Assigned ToOrbiter 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
ETAnone 
PlatformLinuxOSDebianOS VersionWheezy
Product VersionYaCy 1.6 
Target VersionFixed in Version 
Summary0000459: STARTUP Unexpected Error: java.lang.NullPointerException
Description...
I 2014/09/08 01:26:35 org.eclipse.jetty.util.log Logging initialized @14899ms
I 2014/09/08 01:26:35 org.eclipse.jetty.server.Server jetty-9.2.2.v20140723
I 2014/09/08 01:26:35 org.eclipse.jetty.server.handler.ContextHandler Started o.e.j.s.h.ContextHandler@6c49743c{/,null,AVAILABLE}
I 2014/09/08 01:26:35 org.eclipse.jetty.webapp.StandardDescriptorProcessor NO JSP Support for /, did not find org.apache.jasper.servlet.JspServlet
I 2014/09/08 01:26:35 org.eclipse.jetty.server.handler.ContextHandler Started o.e.j.w.WebAppContext@4a6e46ae{/,file:/usr/share/yacy/htroot/,AVAILABLE}
I 2014/09/08 01:26:35 org.eclipse.jetty.server.ServerConnector Started httpd:8090@56309895{HTTP/1.1}{0.0.0.0:8090}
I 2014/09/08 01:26:35 org.eclipse.jetty.server.Server Started @15438ms
I 2014/09/08 01:26:35 STARTUP Jetty 9.2.2.v20140723
I 2014/09/08 01:26:35 ConcurrentLog shutdown of ConcurrentLog.Worker: injection of poison message
I 2014/09/08 01:26:35 Browser please start your browser and open the following location: http://localhost:8090/index.html [^]
E 2014/09/08 01:26:35 STARTUP Unexpected Error: java.lang.NullPointerException
java.lang.NullPointerException
        at net.yacy.gui.Tray.setReady(Tray.java:160)
        at net.yacy.yacy.startup(yacy.java:307)
        at net.yacy.yacy.main(yacy.java:683)
I 2014/09/08 01:26:35 ConcurrentLog terminating ConcurrentLog.Worker with 0 cached loglines.
I 2014/09/08 01:26:35 ConcurrentLog shutdown of ConcurrentLog.Worker: terminated


Steps To Reproduceapt-get purge openjdk*
apt-get purge yacy
apt-get autoremove
apt-get install openjdk-7-jre-headless
apt-get install yacy

(install with default param by hit OK, OK, OK)
Additional Informationyacy_1.73.9343_all.deb

Setting up openjdk-7-jre-headless:amd64 (7u65-2.5.1-5~deb7u1) ...
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java to provide /usr/bin/java (java) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/keytool to provide /usr/bin/keytool (keytool) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/pack200 to provide /usr/bin/pack200 (pack200) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/rmid to provide /usr/bin/rmid (rmid) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/rmiregistry to provide /usr/bin/rmiregistry (rmiregistry) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/unpack200 to provide /usr/bin/unpack200 (unpack200) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/orbd to provide /usr/bin/orbd (orbd) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/servertool to provide /usr/bin/servertool (servertool) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/tnameserv to provide /usr/bin/tnameserv (tnameserv) in auto mode
update-alternatives: using /usr/lib/jvm/java-7-openjdk-amd64/jre/lib/jexec to provide /usr/bin/jexec (jexec) in auto mode
TagsNo tags attached.
Attached Fileslog file icon yacy00.log [^] (38,342 bytes) 2014-09-08 01:35

- Relationships

-  Notes
(0000883)
simon (reporter)
2014-09-08 18:57

Since replace yacy 1.73.9343 using yacy_1.73.9346_all.deb (with apt-get) the Issue is solved.
(0000891)
Orbiter (manager)
2014-09-13 15:41

this has been recently fixed

- Issue History
Date Modified Username Field Change
2014-09-08 01:35 simon New Issue
2014-09-08 01:35 simon File Added: yacy00.log
2014-09-08 18:57 simon Note Added: 0000883
2014-09-13 15:41 Orbiter Note Added: 0000891
2014-09-13 15:41 Orbiter Status new => resolved
2014-09-13 15:41 Orbiter Resolution open => fixed
2014-09-13 15:41 Orbiter Assigned To => Orbiter


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker